> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# User Account🔑

> Get Twitter /X user details

<Callout icon="key" color="#FFC107" iconType="regular">This endpoint returns the **masterID**, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.</Callout>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "profile": {
      "masterID": "1756191247484x952736576247618300",
      "userID": "1314968154230214658",
      "username": "NoCapMediaa",
      "platform": "x",
      "url": "https://x.com/NoCapMediaa",
      "name": "Wild content",
      "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TW:1314968154230214658?time=1754995168",
      "description": "Posting What The News Won’t Show! @Rainbetcom",
      "country": "",
      "countryCode": "",
      "city": "",
      "type": "influencer",
      "gender": "m",
      "age": "45_100",
      "communityStatus": "COLLECTING",
      "isBlocked": false,
      "isClosed": false,
      "verified": true
    },
    "stats": {
      "followersCount": 2242169,
      "avgLikes": 3117,
      "avgComments": 119,
      "avgER": 1.23690054195649,
      "avgInteractions": 3395,
      "avgViews": 491294,
      "ratingIndex": 2242169.82457908,
      "qualityScore": 0.803448275862069
    },
    "lastUpdatedISO": "2025-08-26T06:54:03.938Z",
    "lastUpdated": "26-08-2025"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/twitter-user-account
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/twitter-user-account:
    get:
      tags:
        - Workflow
      description: Triggers the workflow twitter-user-account
      operationId: get_wf_twitter-user-account
      parameters:
        - name: url
          in: query
          required: true
          description: >-
            Profile url. Example: `https://x.com/NoCapMediaa` or
            `https://twitter.com/NoCapMediaa`
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````